#ifndef ADD_SERVER_WIZARD_H
#define ADD_SERVER_WIZARD_H

#include "../../RWADBusAdaptor.h"
#include <QObject>

class Add_Server_wizard : public QObject
{
    Q_OBJECT
public:
    explicit Add_Server_wizard(QObject *parent = nullptr);

private:
    bool _add_server(QString host_url);
    bool _add_web_app_host(QString host_url);

    OrgArcticaProjectRWASupportSessionServiceInterface *_dbus_rwa;
    void _initDBus();

signals:
    void step1Success();
    void step1Failed(QString reason);
    void step2Success();
    void step2Failed(QString reason);

public slots:
    bool processStep1(QString host_url);
    bool processStep2();

    void _add_web_app_host_dbus_replied(QDBusPendingCallWatcher *call);
    //void _get_web_app_hosts_dbus_replied(QDBusPendingCallWatcher *call);
    //void _remove_web_app_host_dbus_replied(QDBusPendingCallWatcher *call);
};

#endif // ADD_SERVER_WIZARD_H
